Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations

AddMonToCephPrimaryStorage

AddMonToCephPrimaryStorage

POST/zstack/v1/primary-storage/ceph/{uuid}/mons

Operation ID

AddMonToCephPrimaryStorage

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the Ceph primary storage.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • monUrls
      ListRequired

      The URL list of the Ceph mon (monitor daemon).

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.